## VOICE Get Call Waiting request VOICE Get Call Waiting request |

## Functions

QmiMessageVoiceGetCallWaitingInput * | qmi_message_voice_get_call_waiting_input_new ()
QmiMessageVoiceGetCallWaitingInput * | qmi_message_voice_get_call_waiting_input_ref ()
void | qmi_message_voice_get_call_waiting_input_unref ()
gboolean | qmi_message_voice_get_call_waiting_input_get_service_class ()
gboolean | qmi_message_voice_get_call_waiting_input_set_service_class ()
QmiMessageVoiceGetCallWaitingOutput * | qmi_message_voice_get_call_waiting_output_ref ()
void | qmi_message_voice_get_call_waiting_output_unref ()
gboolean | qmi_message_voice_get_call_waiting_output_get_result ()
gboolean | qmi_message_voice_get_call_waiting_output_get_service_class ()
void | qmi_client_voice_get_call_waiting ()
QmiMessageVoiceGetCallWaitingOutput * | qmi_client_voice_get_call_waiting_finish ()

## Types and Values

| QmiMessageVoiceGetCallWaitingInput
| QmiMessageVoiceGetCallWaitingOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceGetCallWaitingInput
        ╰── QmiMessageVoiceGetCallWaitingOutput

## Description

## Functions

### qmi_message_voice_get_call_waiting_input_new ()

    QmiMessageVoiceGetCallWaitingInput *
    qmi_message_voice_get_call_waiting_input_new
                                   (void);

Allocates a new QmiMessageVoiceGetCallWaitingInput.

#### Returns

the newly created QmiMessageVoiceGetCallWaitingInput. The returned value should be freed with `qmi_message_voice_get_call_waiting_input_unref()`.

Since: 1.30

### qmi_message_voice_get_call_waiting_input_ref ()

    QmiMessageVoiceGetCallWaitingInput *
    qmi_message_voice_get_call_waiting_input_ref
                                   (QmiMessageVoiceGetCallWaitingInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceGetCallWaitingInput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_voice_get_call_waiting_input_unref ()

    void
    qmi_message_voice_get_call_waiting_input_unref
                                   (QmiMessageVoiceGetCallWaitingInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceGetCallWaitingInput. |

Since: 1.30

### qmi_message_voice_get_call_waiting_input_get_service_class ()

    gboolean
    qmi_message_voice_get_call_waiting_input_get_service_class
                                   (QmiMessageVoiceGetCallWaitingInput *self,
                                    guint8 *value_service_class,
                                    GError **error);

Get the 'Service Class' field from `self` .

#### Parameters

self | a QmiMessageVoiceGetCallWaitingInput. |
value_service_class | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_voice_get_call_waiting_input_set_service_class ()

    gboolean
    qmi_message_voice_get_call_waiting_input_set_service_class
                                   (QmiMessageVoiceGetCallWaitingInput *self,
                                    guint8 value_service_class,
                                    GError **error);

Set the 'Service Class' field in the message.

#### Parameters

self | a QmiMessageVoiceGetCallWaitingInput. |
value_service_class | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_voice_get_call_waiting_output_ref ()

    QmiMessageVoiceGetCallWaitingOutput *
    qmi_message_voice_get_call_waiting_output_ref
                                   (QmiMessageVoiceGetCallWaitingOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceGetCallWaitingOutput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_voice_get_call_waiting_output_unref ()

    void
    qmi_message_voice_get_call_waiting_output_unref
                                   (QmiMessageVoiceGetCallWaitingOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceGetCallWaitingOutput. |

Since: 1.30

### qmi_message_voice_get_call_waiting_output_get_result ()

    gboolean
    qmi_message_voice_get_call_waiting_output_get_result
                                   (QmiMessageVoiceGetCallWaitingOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceGetCallWaitingOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.30

### qmi_message_voice_get_call_waiting_output_get_service_class ()

    gboolean
    qmi_message_voice_get_call_waiting_output_get_service_class
                                   (QmiMessageVoiceGetCallWaitingOutput *self,
                                    guint8 *value_service_class,
                                    GError **error);

Get the 'Service Class' field from `self` .

#### Parameters

self | a QmiMessageVoiceGetCallWaitingOutput. |
value_service_class | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_client_voice_get_call_waiting ()

    void
    qmi_client_voice_get_call_waiting (QmiClientVoice *self,
                                       QmiMessageVoiceGetCallWaitingInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Get Call Waiting request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_get_call_waiting_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceGetCallWaitingInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.30

### qmi_client_voice_get_call_waiting_finish ()

    QmiMessageVoiceGetCallWaitingOutput *
    qmi_client_voice_get_call_waiting_finish
                                   (QmiClientVoice *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_voice_get_call_waiting()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_get_call_waiting()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceGetCallWaitingOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_get_call_waiting_output_unref()`.

Since: 1.30

## Types and Values

### QmiMessageVoiceGetCallWaitingInput

    typedef struct _QmiMessageVoiceGetCallWaitingInput QmiMessageVoiceGetCallWaitingInput;

The QmiMessageVoiceGetCallWaitingInput structure contains private data and should only be accessed using the provided API.

Since: 1.30

### QmiMessageVoiceGetCallWaitingOutput

    typedef struct _QmiMessageVoiceGetCallWaitingOutput QmiMessageVoiceGetCallWaitingOutput;

The QmiMessageVoiceGetCallWaitingOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30